import { Provide } from '@midwayjs/core';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';
import { Company } from '../../entity/users/company.entity';
import { BaseServiceV2 } from '../../frame/BaseServiceV2';
@Provide()
export class CompanyService extends BaseServiceV2 {
  @InjectEntityModel(Company)
  model: Repository<Company>;

  getQueryColumnsOpera() {
    const obj = {
      name: this.Opera.Like,
      industry: this.Opera.In,
      pattern: this.Opera.In,
      tags: this.Opera.Json,
      area: this.Opera.Json,
    };
    return obj;
  }
}
